package xyz.etztech;

import xyz.etztech.embed.Embed;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class Webhook {
    private final String content;
    private final List<Embed> embeds;

    public Webhook(String content, Embed... embeds) {
        this.content = content;
        this.embeds = Arrays.asList(embeds);
    }

    public String toString() {
        StringBuilder builder = new StringBuilder("{");
        List<String> json = new ArrayList<>();
        if (!"".equals(content)) json.add(String.format("\"content\":\"%s\"", Javacord.escapeQuote(content)));
        if (embeds.size() > 0) json.add(String.format("\"embeds\":[%s]", embeds.stream().map(Embed::toJSON).collect(Collectors.joining(","))));
        builder.append(String.join(",", json));
        return builder.append("}").toString();
    }
}
