package xyz.etztech.embed;

import xyz.etztech.Javacord;

import java.util.ArrayList;
import java.util.List;

public class Author {
    private final String name;
    private final String url;
    private final String iconURL;
    private final String proxyIconURL;

    public Author(String name, String url, String iconURL, String proxyIconURL) {
        this.name = name;
        this.url = url;
        this.iconURL = iconURL;
        this.proxyIconURL = proxyIconURL;
    }

    public String toJSON() {
        StringBuilder builder = new StringBuilder("{");
        List<String> json = new ArrayList<>();
        if (!"".equals(name)) json.add(String.format("\"name\":\"%s\"", Javacord.escapeQuote(name)));
        if (!"".equals(url)) json.add(String.format("\"url\":\"%s\"", Javacord.escapeQuote(url)));
        if (!"".equals(iconURL)) json.add(String.format("\"icon_url\":\"%s\"", Javacord.escapeQuote(iconURL)));
        if (!"".equals(proxyIconURL)) json.add(String.format("\"proxy_icon_url\":\"%s\"", Javacord.escapeQuote(proxyIconURL)));
        builder.append(String.join(",", json));
        return builder.append("}").toString();
    }
}
