package xyz.etztech;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class JavacordTest {

    @Test
    void TestEscapeFormat() {
        String raw = "*Test* **Test** _Test_ __Test__ ~Test~ ~~Test~~ |Test| ||Test||";
        String escaped = Javacord.escapeFormat(raw);
        String expected = "\\\\*Test\\\\* \\\\*\\\\*Test\\\\*\\\\* \\\\_Test\\\\_ \\\\_\\\\_Test\\\\_\\\\_ \\\\~Test\\\\~ \\\\~\\\\~Test\\\\~\\\\~ \\\\|Test\\\\| \\\\|\\\\|Test\\\\|\\\\|";
        Assertions.assertEquals(expected, escaped);
    }

    @Test
    void TestEscapeQuote() {
        String raw = "\"Test\"";
        String escaped = Javacord.escapeQuote(raw);
        String expected = "\\\"Test\\\"";
        Assertions.assertEquals(expected, escaped);
    }
}
