package xyz.etztech.embed;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.util.Arrays;

public class EmbedTest {

    @Test
    void TestEmbed() {
        Embed embed = new Embed()
                .color(0x151515)
                .author(new Author("Etzelia", "https://etzel.ia", "" ,""))
                .title("Test \"Title\"")
                .description("Test Description")
                .fields(Arrays.asList(
                        new Field("Field1", "foo"),
                        new Field("Field2", "bar"),
                        new Field("Field3", "baz", true)
                ));
        String expected = "{\"embed\":{\"title\":\"Test \\\"Title\\\"\",\"description\":\"Test Description\",\"color\":\"1381653\",\"author\":{\"name\":\"Etzelia\",\"url\":\"https://etzel.ia\"},\"fields\":[{\"name\":\"Field1\",\"value\":\"foo\"},{\"name\":\"Field2\",\"value\":\"bar\"},{\"name\":\"Field3\",\"value\":\"baz\",\"inline\":true}]}}";
        Assertions.assertEquals(expected, embed.toString());
    }
}
